Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.CORBA.typecode
Class TypeCodeFactoryImpl

    java.lang.Object
      |
      +--org.omg.CORBA.LocalObject
            |
            +--org.openorb.CORBA.typecode.TypeCodeFactoryImpl

All Implemented Interfaces:
  IDLEntity, Object, java.io.Serializable, TypeCodeFactory, TypeCodeFactoryOperations

public class TypeCodeFactoryImpl
extends LocalObject
implements TypeCodeFactory

This class implements the TypeCodeFactory, it is used to create type codes. It uses the tie implementation method. To get an instance, call ORB.resolve_initial_references("TypeCodeFactory")

Version:
  $Revision: 1.8 $ $Date: 2002/07/19 14:16:58 $
Author:
  Chris Wood
See Also:
  Serialized Form

Method Summary
`TypeCode` | `create_abstract_interface_tc(java.lang.String id, java.lang.String name)` Create an abstract interface typecode
`TypeCode` | `create_alias_tc(java.lang.String id, java.lang.String name, TypeCode original_type)` Create an alias typecode
`TypeCode` | `create_array_tc(int length, TypeCode element_type)` Create an array typecode
`TypeCode` | `create_component_tc(java.lang.String id, java.lang.String name)` Create a component typecode.
`TypeCode` | `create_enum_tc(java.lang.String id, java.lang.String name, java.lang.String[] members)` Create an enum typecode
`TypeCode` | `create_exception_tc(java.lang.String id, java.lang.String name, StructMember[] members)` Create an exception typecode
`TypeCode` | `create_fixed_tc(short digits, short scale)` Create a fixed typecode
`TypeCode` | `create_home_tc(java.lang.String id, java.lang.String name)` Create a component home typecode.
`TypeCode` | `create_interface_tc(java.lang.String id, java.lang.String name)` Create an interface typecode
`TypeCode` | `create_local_interface_tc(java.lang.String id, java.lang.String name)` Create a local interface typecode.
`TypeCode` | `create_native_tc(java.lang.String id, java.lang.String name)` Create a native typecode
`TypeCode` | `create_recursive_sequence_tc(int bound, int offset)` Deprecated.
`TypeCode` | `create_recursive_tc(java.lang.String id)` Create a recursive typecode
`TypeCode` | `create_sequence_tc(int bound, TypeCode element_type)` Create a sequence typecode
`TypeCode` | `create_string_tc(int bound)` Create a string typecode
`TypeCode` | `create_struct_tc(java.lang.String id, java.lang.String name, StructMember[] members)` Create a struct typecode
`TypeCode` | `create_union_tc(java.lang.String id, java.lang.String name, TypeCode discriminator_type, UnionMember[] members)` Create an union typecode
`TypeCode` | `create_value_box_tc(java.lang.String id, java.lang.String name, TypeCode boxed_type)` Create a value box typecode
`TypeCode` | `create_value_tc(java.lang.String id, java.lang.String name, short type_modifier, TypeCode concrete_base, ValueMember[] members)` Create a valuetype typecode
`TypeCode` | `create_wstring_tc(int bound)` Create a wstring typecode
`TypeCode` | `get_primitive_tc(TCKind tcKind)` This operation returns a primitive typecode from the corresponding TC kind.
`static TypeCodeFactoryImpl` | `getInstance()` Used by pre 3.0 ORBSingleton classes to create an instance for manufacturing typecodes

Methods inherited from class org.omg.CORBA.LocalObject
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_policy_override, validate_connection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Method Detail

### getInstance

    public static TypeCodeFactoryImpl getInstance()

  Used by pre 3.0 ORBSingleton classes to create an instance for manufacturing typecodes

### create_struct_tc

    public TypeCode create_struct_tc(java.lang.String id,
                                     java.lang.String name,
                                     StructMember[] members)

  Create a struct typecode
  Specified by:
    `create_struct_tc` in interface `TypeCodeFactoryOperations`

### create_union_tc

    public TypeCode create_union_tc(java.lang.String id,
                                    java.lang.String name,
                                    TypeCode discriminator_type,
                                    UnionMember[] members)

  Create an union typecode
  Specified by:
    `create_union_tc` in interface `TypeCodeFactoryOperations`

### create_enum_tc

    public TypeCode create_enum_tc(java.lang.String id,
                                   java.lang.String name,
                                   java.lang.String[] members)

  Create an enum typecode
  Specified by:
    `create_enum_tc` in interface `TypeCodeFactoryOperations`

### create_alias_tc

    public TypeCode create_alias_tc(java.lang.String id,
                                    java.lang.String name,
                                    TypeCode original_type)

  Create an alias typecode
  Specified by:
    `create_alias_tc` in interface `TypeCodeFactoryOperations`

### create_exception_tc

    public TypeCode create_exception_tc(java.lang.String id,
                                        java.lang.String name,
                                        StructMember[] members)

  Create an exception typecode
  Specified by:
    `create_exception_tc` in interface `TypeCodeFactoryOperations`

### create_interface_tc

    public TypeCode create_interface_tc(java.lang.String id,
                                        java.lang.String name)

  Create an interface typecode
  Specified by:
    `create_interface_tc` in interface `TypeCodeFactoryOperations`

### create_native_tc

    public TypeCode create_native_tc(java.lang.String id,
                                     java.lang.String name)

  Create a native typecode
  Specified by:
    `create_native_tc` in interface `TypeCodeFactoryOperations`

### create_string_tc

    public TypeCode create_string_tc(int bound)

  Create a string typecode
  Specified by:
    `create_string_tc` in interface `TypeCodeFactoryOperations`

### create_wstring_tc

    public TypeCode create_wstring_tc(int bound)

  Create a wstring typecode
  Specified by:
    `create_wstring_tc` in interface `TypeCodeFactoryOperations`

### create_sequence_tc

    public TypeCode create_sequence_tc(int bound,
                                       TypeCode element_type)

  Create a sequence typecode
  Specified by:
    `create_sequence_tc` in interface `TypeCodeFactoryOperations`

### create_recursive_sequence_tc

    public TypeCode create_recursive_sequence_tc(int bound,
                                                 int offset)

  Deprecated.

  Create a recursive sequence typecode
  Specified by:
    `create_recursive_sequence_tc` in interface `TypeCodeFactoryOperations`

### create_recursive_tc

    public TypeCode create_recursive_tc(java.lang.String id)

  Create a recursive typecode
  Specified by:
    `create_recursive_tc` in interface `TypeCodeFactoryOperations`

### create_array_tc

    public TypeCode create_array_tc(int length,
                                    TypeCode element_type)

  Create an array typecode
  Specified by:
    `create_array_tc` in interface `TypeCodeFactoryOperations`

### create_fixed_tc

    public TypeCode create_fixed_tc(short digits,
                                    short scale)

  Create a fixed typecode
  Specified by:
    `create_fixed_tc` in interface `TypeCodeFactoryOperations`

### create_value_tc

    public TypeCode create_value_tc(java.lang.String id,
                                    java.lang.String name,
                                    short type_modifier,
                                    TypeCode concrete_base,
                                    ValueMember[] members)

  Create a valuetype typecode
  Specified by:
    `create_value_tc` in interface `TypeCodeFactoryOperations`

### create_value_box_tc

    public TypeCode create_value_box_tc(java.lang.String id,
                                        java.lang.String name,
                                        TypeCode boxed_type)

  Create a value box typecode
  Specified by:
    `create_value_box_tc` in interface `TypeCodeFactoryOperations`

### create_abstract_interface_tc

    public TypeCode create_abstract_interface_tc(java.lang.String id,
                                                 java.lang.String name)

  Create an abstract interface typecode
  Specified by:
    `create_abstract_interface_tc` in interface `TypeCodeFactoryOperations`

### create_local_interface_tc

    public TypeCode create_local_interface_tc(java.lang.String id,
                                              java.lang.String name)

  Create a local interface typecode. Currently this returns an ordinary interface typecode.
  Specified by:
    `create_local_interface_tc` in interface `TypeCodeFactoryOperations`

### create_home_tc

    public TypeCode create_home_tc(java.lang.String id,
                                   java.lang.String name)

  Create a component home typecode.
  Specified by:
    `create_home_tc` in interface `TypeCodeFactoryOperations`
  Since:
    CORBA 3.0

### create_component_tc

    public TypeCode create_component_tc(java.lang.String id,
                                        java.lang.String name)

  Create a component typecode.
  Specified by:
    `create_component_tc` in interface `TypeCodeFactoryOperations`
  Since:
    CORBA 3.0

### get_primitive_tc

    public TypeCode get_primitive_tc(TCKind tcKind)

  This operation returns a primitive typecode from the corresponding TC kind. Note this is not a member of the TypeCodeFactory interface, but is put here for convienience.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD